--- old/usr/src/uts/i86pc/os/biosdisk.c	Mon Mar 27 00:11:46 2017
+++ new/usr/src/uts/i86pc/os/biosdisk.c	Mon Mar 27 00:11:46 2017
@@ -37,6 +37,7 @@
 #include <sys/sunndi.h>
 #include <sys/biosdisk.h>
 #include <sys/psw.h>
+#include <sys/machsystm.h>
 #if defined(__xpv)
 #include <sys/hypervisor.h>
 #endif
@@ -82,8 +83,13 @@
 	dev_info_t	*devi;
 	int extensions;
 
-	if (dobiosdev == 0)
+	if (dobiosdev == 0 || !bios_calls_available) {
+		/*
+		 * If BIOS calls have been disabled, or are not supported on
+		 * this system, we cannot probe for the startup disk.
+		 */
 		return;
+	}
 
 	for (drivenum = 0x80; drivenum < (0x80 + BIOSDEV_NUM); drivenum++) {
 
